## gpppon 0.2-1

=== Makefile ===
# written by John Hasler based on work by Guido Socher
# You may treat this Makefile as if it was in the public domain.

PREFIX=/usr
INSTALL=/usr/bin/install -c
MANP=gpppon.1 
CC=gcc
CFLAGS= -Wall -O2

# use one of these if you do not have gtk-config:
#LIBS=-L /usr/X11R6/lib -lgmodule -lglib -lgtk -lgdk -lXext -lX11 -lm
#LIBS=-L /usr/X11R6/lib -lglib -lgtk -lgdk -lXext -lX11 -lm
#INCLUDES=-I /usr/lib/glib/include

# gtk-config is usually installed together with gtk and it should
# be used when possible:
LIBS=`gtk-config --libs`
INCLUDES=`gtk-config --cflags`

gpppon: gpppon.o
	$(CC) -o gpppon $(LIBS) gpppon.o 
gpppon.o: gpppon.c
	$(CC) -c $(CFLAGS) $(INCLUDES) gpppon.c

install: gpppon $(MANP)
	[ -d "$(PREFIX)/bin" ] || $(INSTALL) -d $(PREFIX)/bin
	[ -d "$(PREFIX)/man/man1" ] || $(INSTALL) -d $(PREFIX)/man/man1
	$(INSTALL) -m 750 -g dip gpppon $(PREFIX)/bin 
	$(INSTALL) -m 644 $(MANP) $(PREFIX)/man/man1

clean:
	rm -f gpppon *.o

=== debian/changelog ===
gpppon (0.2-1) unstable; urgency=low

  * Initial Release.

 -- John Hasler <john@dhh.gt.org>  Fri, 31 Dec 1999 23:09:24 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gpppon
Section: net
Priority: optional
Maintainer: John Hasler <john@dhh.gt.org>
Standards-Version: 3.0.1

Package: gpppon
Architecture: any
Depends: ${shlibs:Depends}, ppp
Description: A gnome applet that is a wrapper around pon and poff.
 gpppon is a gnome applet that reads the names of the configured providers
 from /etc/ppp/peers and calls the pon and poff scripts with the selected
 provider as argument.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

INSTALL = /usr/bin/install -c

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.

	$(INSTALL) -m 750 -g dip gpppon `pwd`/debian/tmp/usr/bin 
	$(INSTALL) -m 644 gpppon.1 `pwd`/debian/tmp/usr/share/man/man1

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installmanpages
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod 750 debian/tmp/usr/bin/gpppon
	chown root:dip debian/tmp/usr/bin/gpppon
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gpppon 0.2-3

=== debian/changelog ===
gpppon (0.2-3) unstable; urgency=low
  
  * Added   libgtk1.2-dev to build-dep.
  * Closes: #127137
  
 -- John Hasler <john@dhh.gt.org>  Sun, 30 Dec 2001 19:00:00 -0600

gpppon (0.2-2) unstable; urgency=low

  * Removed spurious README.debian file.
    Closes: #119241

 -- John Hasler <john@dhh.gt.org>  Mon, 12 Nov 2001 16:00:00 -0600

## gpppon 0.2-4

=== debian/changelog ===
gpppon (0.2-4) unstable; urgency=low
  
  * Fixed segfault reported in 160431 by handling failure of opendir.
    Left bug open because I still don't know why opendir failed.
  
 -- John Hasler <john@dhh.gt.org>  Sun, 10 Nov 2002 19:00:00 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: John Hasler <john@dhh.gt.org>
-Standards-Version: 3.0.1
+Standards-Version: 3.2.1.0
+Build-Depends: debhelper, libgtk1.2-dev
 
 Package: gpppon
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 	# Add here commands to install the package into debian/tmp.
 
-	$(INSTALL) -m 750 -g dip gpppon `pwd`/debian/tmp/usr/bin 
+	$(INSTALL) -m 755 -g dip gpppon `pwd`/debian/tmp/usr/bin 
 	$(INSTALL) -m 644 gpppon.1 `pwd`/debian/tmp/usr/share/man/man1
 
 	touch install-stamp
@@ -58,7 +58,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	chmod 750 debian/tmp/usr/bin/gpppon
+	chmod 755 debian/tmp/usr/bin/gpppon
 	chown root:dip debian/tmp/usr/bin/gpppon
 	dh_suidregister
 	dh_installdeb

## gpppon 0.2-4ubuntu1

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 # gtk-config is usually installed together with gtk and it should
 # be used when possible:
-LIBS=`gtk-config --libs`
-INCLUDES=`gtk-config --cflags`
+LIBS=`pkg-config --libs gtk+-2.0`
+INCLUDES=`pkg-config --cflags gtk+-2.0`
 
 gpppon: gpppon.o
 	$(CC) -o gpppon $(LIBS) gpppon.o

=== debian/changelog ===
gpppon (0.2-4ubuntu1) hardy; urgency=low

  [Lars Friedrichs]
  * Makefile: Update to use gtk2.0 libs
  * debian/control: Update Build-Depends to libgtk2.0-dev

  [David Futcher]
  * Add .desktop file (LP: #196870) (Thanks to Daniel Dickinson)
  * debian/control:
    - Bump Debian standards version to 3.7.3
    - Update Build-Depends to debhelper >= 5
    - Update Maintainer field to match the DebianMaintainerField specification
    - Correct long and short descriptions
  * debian/rules:
    - Move DH_COMPAT to debian/compat and bump to version 5
    - Replace 'install' with 'dh_install'
    - Remove dh_suidregister as it is obsolete
  * debian/copyright:
    - Add GPL Header and Link to /usr/share/common-licenses/GPL
    - Change "Author(s)" to "Author" to make lintian happy
  * debian/menu:
    - Add quotes around "section" and "needs" string to placate lintian
    - Change section to the new "Applications/Network" format

 -- David Futcher <bobbocanfly@gmail.com>  Sun, 02 Mar 2008 13:59:46 +0000

gpppon (0.2-4build1) hardy; urgency=low

  * Rebuild for libglib1.2 -> libglib1.2ldbl transition.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 05 Dec 2007 11:16:07 +1100

=== debian/control ===
Source: gpppon
Section: net
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: John Hasler <john@dhh.gt.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5), libgtk2.0-dev

Package: gpppon
Architecture: any
Depends: ${shlibs:Depends}, ppp
Description: graphical wrapper around pon and poff
 gpppon is a utility that reads the names of the configured providers
 from /etc/ppp/peers and calls the pon and poff scripts with the selected
 provider as argument.

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=1
-
-INSTALL = /usr/bin/install -c
+INSTALL = dh_install
 
 build: build-stamp
 build-stamp:
@@ -37,8 +34,8 @@
 
 	# Add here commands to install the package into debian/tmp.
 
-	$(INSTALL) -m 755 -g dip gpppon `pwd`/debian/tmp/usr/bin 
-	$(INSTALL) -m 644 gpppon.1 `pwd`/debian/tmp/usr/share/man/man1
+	$(INSTALL) -m 755 gpppon /usr/bin
+	$(INSTALL) debian/gpppon.desktop /usr/share/applications
 
 	touch install-stamp
 
@@ -53,14 +50,12 @@
 	dh_installdocs
 	dh_installmenu
 	dh_installmanpages
+	dh_desktop
 	dh_installchangelogs 
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-	chmod 755 debian/tmp/usr/bin/gpppon
-	chown root:dip debian/tmp/usr/bin/gpppon
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## gpppon 0.3

=== Makefile ===
--- 
+++ 
@@ -7,15 +7,11 @@
 CC=gcc
 CFLAGS= -Wall -O2
 
-# use one of these if you do not have gtk-config:
-#LIBS=-L /usr/X11R6/lib -lgmodule -lglib -lgtk -lgdk -lXext -lX11 -lm
-#LIBS=-L /usr/X11R6/lib -lglib -lgtk -lgdk -lXext -lX11 -lm
-#INCLUDES=-I /usr/lib/glib/include
 
 # gtk-config is usually installed together with gtk and it should
 # be used when possible:
 LIBS=`pkg-config --libs gtk+-2.0`
-INCLUDES=`pkg-config --cflags gtk+-2.0`
+INCLUDES=-I /usr/lib/glib-2.0/include -I /usr/include/glib-2.0 -I /usr/include/gtk-2.0 -I /usr/include/gdk-2.0 -I /usr/include/cairo -I /usr/include/pango-1.0 -I /usr/lib/gtk-2.0/include -I /usr/include/atk-1.0
 
 gpppon: gpppon.o
 	$(CC) -o gpppon $(LIBS) gpppon.o
